[PATCH numberstation] window: set icon for main window
Export this patch
From 921cd54a6fc2cff9dfee4b77ae1bea998ba38892 Mon Sep 17 00:00:00 2001
From: Chris Talbot <chris@talbothome.com>
Date: Mon, 19 Feb 2024 08:25:58 -0700
Subject: [PATCH] window: set icon for main window
---
numberstation/window.py | 1 +
run.in | 15 +++++++++++++++
2 files changed, 16 insertions(+)
create mode 100755 run.in
diff --git a/numberstation/window.py b/numberstation/window.py
index eb14310..cb0063d 100644
--- a/numberstation/window.py
+++ b/numberstation/window.py
@@ -36,6 +36,7 @@ class NumberstationWindow:
self.window = builder.get_object("main_window")
self.window.set_application(self.application)
+ self.window.set_icon_name("org.postmarketos.Numberstation")
self.error = builder.get_object("error")
self.mainstack = builder.get_object("mainstack")
self.headstack = builder.get_object("headstack")
diff --git a/run.in b/run.in
new file mode 100755
index 0000000..d6b4501
--- /dev/null
+++ b/run.in
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+
+ABS_BUILDDIR='@ABS_BUILDDIR@'
+ABS_SRCDIR='@ABS_SRCDIR@'
+
+if [ "${PHOSH_ANTISPAM_GDB}" = 1 ]; then
+ echo "Running numberstation under gdb"
+ WRAPPER="gdb --directory=${ABS_BUILDDIR}/src --args"
+fi
+
+export GSETTINGS_SCHEMA_DIR="${ABS_BUILDDIR}/numberstation"
+set -x
+export MALLOC_PERTURB_="$(($RANDOM % 255 + 1))"
+MALLOC_CHECK_=2 exec ${WRAPPER}
"${ABS_BUILDDIR}/numberstation/numberstation" "$@"
--
2.43.0
Whoops, there's something in there that shouldn't have been, will fix
Re: [PATCH numberstation] window: set icon for main window
Export this patch
From 65e131e223e7285277bf876dbbe5928675be9280 Mon Sep 17 00:00:00 2001
From: Chris Talbot <chris@talbothome.com>
Date: Mon, 19 Feb 2024 08:25:58 -0700
Subject: [PATCH] window: set icon for main window
---
numberstation/window.py | 1 +
1 file changed, 1 insertion(+)
diff --git a/numberstation/window.py b/numberstation/window.py
index eb14310..cb0063d 100644
--- a/numberstation/window.py
+++ b/numberstation/window.py
@@ -36,6 +36,7 @@ class NumberstationWindow:
self.window = builder.get_object("main_window")
self.window.set_application(self.application)
+ self.window.set_icon_name("org.postmarketos.Numberstation")
self.error = builder.get_object("error")
self.mainstack = builder.get_object("mainstack")
self.headstack = builder.get_object("headstack")
--
2.43.0